#!/usr/bin/env bash
## vars
privatebin_image="git.garbaye.fr/garbaye/privatebin-nginx-fpm-alpine"
privatebin_version='1.5.1-alpine3.17.2'
## default vars : override with ENV var
listen_if="${GARBAYE_PRIVATEBIN_ENV_LISTENIF:-127.0.0.1}"
listen_port="${GARBAYE_PRIVATEBIN_ENV_LISTENPORT:-8084}"
## mandatory ENV vars
upstream_images="${privatebin_image} docker.io/library/alpine"
## internal vars : do not touch
project_name=${PWD##*/}
container_name="${project_name}"
service_name="container-${container_name}.service"
srvdata_volume='privatebin-data'
varlibnginxtmp_volume='privatebin-var-lib-nginx-tmp'
run_volume='privatebin-run'
tmp_volume='privatebin-tmp'
nonpersistent_volumes="${varlibnginxtmp_volume} ${run_volume} ${tmp_volume}"
