#!/usr/bin/env bash
## vars
vaultwarden_image="git.garbaye.fr/garbaye/vaultwarden"
vaultwarden_version='1.28.1'
database_image="docker.io/library/postgres"
database_version='14.5-alpine'
database_path="/var/lib/postgresql/data"
database_dialect=postgres
database_port=5432
#database_image="docker.io/library/mariadb"
#database_version='10'
#database_path="/var/lib/mysql"
#database_dialect=mysql
#database_port=3306
## default vars : override with ENV var
GARBAYE_VAULTWARDEN_DOMAIN="${GARBAYE_VAULTWARDEN_ENV_DOMAIN:-http://localhost}"
## mandatory ENV vars
envvars='GARBAYE_VAULTWARDEN_ADMIN_PASSWORD GARBAYE_VAULTWARDEN_DATABASE_PASSWORD'
## internal vars : do not touch
project_name=${PWD##*/}
pod_name="pod_${project_name}"
service_name="pod-${pod_name}.service"
upstream_images="${vaultwarden_image} ${postgres_image}"
datavolume="${project_name}_data"
dbvolume="${project_name}_database"
container_name="${project_name}_app"
db_container_name="${project_name}_database"
get_default_iface_ipv4 GARBAYE_SEAFILE_SMTP_SERVER
